diff --git a/config/prep_buildtree b/config/prep_buildtree
index 57d7719..e0ed476 100644
--- a/config/prep_buildtree
+++ b/config/prep_buildtree
@@ -22,7 +22,7 @@ sourcetree=`cd $1 && pwd`
 
 buildtree=`cd ${2:-'.'} && pwd`
 
-for item in `find "$sourcetree" -type d \( -name CVS -prune -o -print \)`; do
+for item in `find "$sourcetree" -depth -type d \( -name CVS -prune -o -print \)`; do
     subdir=`expr "$item" : "$sourcetree\(.*\)"`
     if test ! -d "$buildtree/$subdir"; then
         mkdir -p "$buildtree/$subdir" || exit 1